# $Revision: 1.35 $, $Date: 2010/05/18 09:10:57 $
%define		module	django

Summary:	The web framework for perfectionists with deadlines
Summary(pl.UTF-8):	Szkielet WWW dla perfekcjonistów z ograniczeniami czasowymi
Name:		python-%{module}
Version:	1.2
Release:	1
License:	BSD
Group:		Development/Languages/Python
Source0:	http://media.djangoproject.com/releases/%{version}/Django-%{version}.tar.gz
# Source0-md5:	98fa833fdabcdd78d00245aead66c174
Patch0:		%{name}-pyc.patch
URL:		http://www.djangoproject.com/
BuildRequires:	python-devel
BuildRequires:	python-setuptools >= 0.6-0.c1
BuildRequires:	rpm-pythonprov
%pyrequires_eq	python
Suggests:	python-MySQLdb
Suggests:	python-PyGreSQL
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Django is a high-level Python Web framework that encourages rapid
development and clean, pragmatic design.

%description -l pl.UTF-8
Django to wysokopoziomowy szkielet dla serwisów WWW w Pythonie
wspierający szybkie tworzenie i czysty, pragmatyczny projekt.

%prep
%setup -q -n Django-%{version}
%patch0 -p1

%build
python ./setup.py build

%install
rm -rf $RPM_BUILD_ROOT

python ./setup.py install \
	--optimize 2 \
	--root=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name '*.pyc' -exec rm "{}" ";"
find $RPM_BUILD_ROOT -type f -name '*.pyo' -exec rm "{}" ";"
find $RPM_BUILD_ROOT -type f -exec sed -i -e "s#$RPM_BUILD_ROOT##g" "{}" ";"

%py_ocomp $RPM_BUILD_ROOT%{py_sitescriptdir}
%py_comp $RPM_BUILD_ROOT%{py_sitescriptdir}
# %%py_postclean
find $RPM_BUILD_ROOT%{py_sitescriptdir} -type f -name '*.py' -a -not -path '*_template*' -exec rm "{}" ";"
find $RPM_BUILD_ROOT%{py_sitescriptdir} -type f -path '*_template*' -a -name '*.py[oc]' -exec rm "{}" ";"

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc docs/*.* README
%attr(755,root,root) %{_bindir}/*
%{py_sitescriptdir}/%{module}*
%if "%{py_ver}" > "2.4"
%{py_sitescriptdir}/Django-*.egg-info
%endif


%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-django.spec,v $
Revision 1.35  2010/05/18 09:10:57  patrys
- 1.2

Revision 1.34  2009/10/11 11:38:52  wiget
- updated to 1.1.1

Revision 1.33  2009/09/10 12:01:16  matkor
- Release 2. Fixes build on Ac.

Revision 1.32  2009/07/29 13:14:17  patrys
- 1.1

Revision 1.31  2009/03/14 00:13:57  hawk
- release 3

Revision 1.30  2008/11/26 11:47:47  matkor
- Release 2. define module as django.

Revision 1.29  2008/11/23 14:03:07  arekm
- up to 1.0.2

Revision 1.28  2008/11/18 13:22:24  arekm
- up to 1.0.1

Revision 1.27  2008/10/05 11:01:58  arekm
- release 5

Revision 1.26  2008/10/03 17:48:28  arekm
- release 4

Revision 1.25  2008/09/21 16:13:19  paszczus
- added Suggests: python-{MySQLdb,PyGreSQL}

Revision 1.24  2008/09/09 14:14:20  emes
- we need .py files too, from applications which are not compiled to .pyc

Revision 1.23  2008/09/04 15:14:54  patrys
- PLD doesn't package .py files

Revision 1.22  2008/09/04 12:24:43  arekm
- not so ugly

Revision 1.21  2008/09/04 08:58:02  patrys
- 1.0!

Revision 1.20  2008-05-14 08:21:11  patrys
- 0.96.2
- security fix

Revision 1.19  2007-10-29 10:19:14  zboczuch
- up to 0.96.1 (security fix)

Revision 1.18  2007/03/25 14:45:29  arekm
- up to 0.96

Revision 1.17  2007/02/13 08:06:42  glen
- tabs in preamble

Revision 1.16  2007/02/12 01:06:28  baggins
- converted to UTF-8

Revision 1.15  2007/01/24 10:27:52  qboosh
- tab

Revision 1.14  2007/01/24 10:22:05  zboczuch
- added urlfield size patch (based on trunk django version)
- rel++

Revision 1.13  2007/01/23 08:33:16  zboczuch
- up to 0.95.1

Revision 1.12  2006/08/01 12:12:38  zboczuch
- up to 0.95
- BR += python-setuptool >= 0.6-0.c1
- do not compile app and project templates, install them as plain python
  files (needed by django-admin.py utility)
- rel += 0.1

Revision 1.11  2006/05/18 08:56:16  qboosh
- BR: rpm-pythonprov, removed unused unzip

Revision 1.10  2006/05/15 10:05:43  troll
- we don't insert .py files into packages
- rel 0.2

Revision 1.9  2006/04/29 21:05:33  pawelk
- rel 0.1

Revision 1.8  2006/04/29 21:05:04  pawelk
- version 0.91

Revision 1.7  2005/12/24 14:02:58  arekm
- rebuild

Revision 1.6  2005/12/20 12:59:52  arekm
- new way

Revision 1.5  2005/12/15 21:47:00  qboosh
- pl

Revision 1.4  2005/12/12 15:25:06  troll
- added autoreload patch
- rel 2

Revision 1.3  2005/12/10 22:57:41  arekm
- create pth file

Revision 1.2  2005/12/10 22:08:41  arekm
- fix

Revision 1.1  2005/12/09 23:57:43  arekm
- new
